DELETE Delete a custom space template
Permanently deletes a custom space template owned by the authenticated user. Only templates with origin.source='upload' or 'ios-roomplan' can be deleted.
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/resource/delete-resources-spaces-spaceTemplateId.md for this page in Markdown format
DELETE
Try it out https://api.rooom.com/resources/spaces/{spaceTemplateId}Scopes
space:writeParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
spaceTemplateIdrequired | string | Space template Id |
Responses
200Space template successfully deleted
401Unauthorized - Invalid or missing authentication
403Forbidden - Not the owner or attempting to delete a system template
404Not Found - Space template does not exist
409Conflict - Space template is currently in use by one or more spaces
500Internal Server Error - Failed to delete space template
DELETE /resources/spaces/{spaceTemplateId} Delete a custom space template Permanently deletes a custom space template owned by the authenticated user. Only templates with origin.source='upload' or 'ios-roomplan' can be deleted. Templates currently in use by spaces cannot be deleted. Required scopes: space:write spaceTemplateId Space template Id